Search for __set

  1. Search 7.x for __set
  2. Search 9.5.x for __set
  3. Search 8.9.x for __set
  4. Search 10.3.x for __set
  5. Other projects
Title Object type File name Summary
FormStateInterface::setFormObject function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the form object that is responsible for building this form.
FormStateInterface::setFormState function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the value of the form state.
FormStateInterface::setGroups function core/lib/Drupal/Core/Form/FormStateInterface.php Sets references to details elements to render them within vertical tabs.
FormStateInterface::setHasFileElement function core/lib/Drupal/Core/Form/FormStateInterface.php Sets that this form has a file element.
FormStateInterface::setIgnoreDestination function core/lib/Drupal/Core/Form/FormStateInterface.php Determines whether the redirect respects the destination query parameter.
FormStateInterface::setInvalidToken function core/lib/Drupal/Core/Form/FormStateInterface.php Flags the form state as having or not an invalid token.
FormStateInterface::setLimitValidationErrors function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the limited validation error sections.
FormStateInterface::setMethod function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the HTTP method to use for the form's submission.
FormStateInterface::setProcessInput function core/lib/Drupal/Core/Form/FormStateInterface.php Sets that the form should process input.
FormStateInterface::setProgrammed function core/lib/Drupal/Core/Form/FormStateInterface.php Sets that this form was submitted programmatically.
FormStateInterface::setProgrammedBypassAccessCheck function core/lib/Drupal/Core/Form/FormStateInterface.php Sets if this form submission should bypass #access.
FormStateInterface::setRebuild function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the form to be rebuilt after processing.
FormStateInterface::setRebuildInfo function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the rebuild info.
FormStateInterface::setRedirect function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the redirect for the form.
FormStateInterface::setRedirectUrl function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the redirect URL for the form.
FormStateInterface::setRequestMethod function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the HTTP method used by the request that is building the form.
FormStateInterface::setResponse function core/lib/Drupal/Core/Form/FormStateInterface.php Sets a response for this form.
FormStateInterface::setStorage function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the entire set of arbitrary data.
FormStateInterface::setSubmitHandlers function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the submit handlers.
FormStateInterface::setSubmitted function core/lib/Drupal/Core/Form/FormStateInterface.php Sets that the form has been submitted.
FormStateInterface::setTemporary function core/lib/Drupal/Core/Form/FormStateInterface.php Sets temporary data.
FormStateInterface::setTemporaryValue function core/lib/Drupal/Core/Form/FormStateInterface.php Sets an arbitrary value in temporary storage.
FormStateInterface::setTriggeringElement function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the form element that triggered submission.
FormStateInterface::setUserInput function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the form values as though they were submitted by a user.
FormStateInterface::setValidateHandlers function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the validate handlers.
FormStateInterface::setValidationComplete function core/lib/Drupal/Core/Form/FormStateInterface.php Sets that validation has been completed.
FormStateInterface::setValidationEnforced function core/lib/Drupal/Core/Form/FormStateInterface.php Enforces that validation is run.
FormStateInterface::setValue function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the submitted form value for a specific key.
FormStateInterface::setValueForElement function core/lib/Drupal/Core/Form/FormStateInterface.php Changes submitted form values during form validation.
FormStateInterface::setValues function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the submitted form values.
FormStateInterface::unsetValue function core/lib/Drupal/Core/Form/FormStateInterface.php Removes a specific key from the submitted form values.
FormStatePersistTest::setStateRebuildValue function core/modules/system/tests/src/Kernel/Form/FormStatePersistTest.php Form API #process callback.
FormStateTest::providerTestSetErrorByName function core/tests/Drupal/Tests/Core/Form/FormStateTest.php
FormStateTest::testSetCachedGet function core/tests/Drupal/Tests/Core/Form/FormStateTest.php Tests set cached get.
FormStateTest::testSetCachedPost function core/tests/Drupal/Tests/Core/Form/FormStateTest.php Tests set cached post.
FormStateTest::testSetCleanValueKeys function core/tests/Drupal/Tests/Core/Form/FormStateTest.php Tests set clean value keys.
FormStateTest::testSetError function core/tests/Drupal/Tests/Core/Form/FormStateTest.php Tests the setError() method.
FormStateTest::testSetErrorByName function core/tests/Drupal/Tests/Core/Form/FormStateTest.php Tests set error by name.
FormStateValuesTrait::setValue function core/lib/Drupal/Core/Form/FormStateValuesTrait.php Implements \Drupal\Core\Form\FormStateInterface::setValue()
FormStateValuesTrait::setValueForElement function core/lib/Drupal/Core/Form/FormStateValuesTrait.php Implements \Drupal\Core\Form\FormStateInterface::setValueForElement()
FormStateValuesTrait::setValues function core/lib/Drupal/Core/Form/FormStateValuesTrait.php Implements \Drupal\Core\Form\FormStateInterface::setValues()
FormStateValuesTrait::unsetValue function core/lib/Drupal/Core/Form/FormStateValuesTrait.php Implements \Drupal\Core\Form\FormStateInterface::unsetValue()
FormStateValuesTraitTest::providerSetValue function core/tests/Drupal/Tests/Core/Form/FormStateValuesTraitTest.php Provides data to self::testSetValue().
FormStateValuesTraitTest::testSetValue function core/tests/Drupal/Tests/Core/Form/FormStateValuesTraitTest.php Tests set value.
FormStateValuesTraitTest::testSetValueForElement function core/tests/Drupal/Tests/Core/Form/FormStateValuesTraitTest.php Tests that setting the value for an element adds to the values.
FormStoragePageCacheTest::setUp function core/modules/system/tests/src/Functional/Form/FormStoragePageCacheTest.php
FormSubmitterTest::setUp function core/tests/Drupal/Tests/Core/Form/FormSubmitterTest.php
FormTest::setUp function core/modules/system/tests/src/Functional/Form/FormTest.php
FormTest::setUp function core/modules/field/tests/src/Functional/FormTest.php
FormTestBase::setUp function core/tests/Drupal/Tests/Core/Form/FormTestBase.php

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.